Subject: TSVWG Status Update 17-Mar-2011

From: Gorry Fairhurst <[email-masked]>
Date: Thu, 17 Mar 2011 08:16:39 +0000

The email below gives a brief snapshot of WG status for 17th March 2011.

Please look at what needs to be done.

Do send notes of any corrections to [email-masked].

Gorry & James
(TSVWG Chairs)

==================================================================

RFC Published:

draft-ietf-tsvwg-admitted-realtime-dscp-07 (RFC 5865)
draft-ietf-tsvwg-rsvp-proxy-approaches-09 (RFC 5945)
draft-ietf-tsvwg-rsvp-proxy-proto-11 (RFC 5946)
draft-ietf-tsvwg-rsvp-l3vpn-07 (RFC 6016)
draft-ietf-tsvwg-ecn-tunnel-10 (RFC6040)
draft-ietf-tsvwg-port-randomization (RFC 6056)
draft-ietf-tsvwg-sctp-chunk-flags (RFC 6096)
draft-ietf-tsvwg-dtls-for-sctp (RFC 6083)

---
IDs in RFC Editor Queue:

draft-ietf-tsvwg-emergency-rsvp-15 (MISREF)
Norm. ref to router alert draft (in the INT-area WG, now in WGLC)

-------------------------------------------------------------------

IDs in IESG processing:

draft-ietf-tsvwg-rsvp-security-groupkeying
       WGLC of previous version completed.
       SECDIR review comments received, and updated as version -05.
       Short WGLC to confirm new text ended August 11th 2010.
       New version (-09) 22-10-2010.
       Proto write-up sent 14/12/2010.
       Publication requested.
     James is Shepherd.
     DUE: AD to review.

draft-ietf-tsvwg-iana-ports
       New revision 25 Oct 2010.
       This will require a multi-working group LC.
       draft-ietf-tsvwg-iana-ports-08 was WGL'ed 30-10-2010
       WGLC ended Friday, 26th November 2010
          New version -09 02/12/2010.
           Discussion on list during Dec 2010.
          AD review received 21/12/2010.
       	 Proto Write-up sent 19/01/2011.
          Revised document text being agreed 17-Mar-2011.
       Gorry is Shepherd.

-------------------------------------------------------------------

WG Drafts with Chairs:

draft-ietf-tsvwg-sctpsocket
       New Rev -25, 07/01/2011.
       WGLC complete.
     James is Shepherd.
     DUE: Proto Write-up by Shepherd

draft-ietf-tsvwg-sctp-strrst
       Dependency on this for IPFIX document with RFC-Ed.
       Benoit Claise to review for IPFIX
       New revision (-08) 25 Oct 2010.
           Text on race-condition to be updated before WGLC
       New text to address this in revision 04/01/2011.
       WGLC in progress.
     James is Shepherd.
     DUE: WG Chairs to evaluate result of WGLC (17-Mar-2011)

-------------------------------------------------------------------

WG Drafts:

draft-ietf-tsvwg-byte-pkt-congest
       New editor added Jul 2010.
       New revision 25 Oct 2010.
      DUE: Comments needed before deciding if ready for WGLC.
      DUE: Reviewers need to volunteer for LC

draft-ietf-tsvwg-sctp-udp-encap
       (Replaced: draft-tuexen-sctp-udp-encap)
       Lars sent a note as AD agreeing to progress this work.
       Work to be coordinated with DCCP work on encaps.
       Adopted as a work item 21 Sept 2010 (Gorry).
           No WG -00 draft.
       DUE: New revision expected
       DUE: Editors please tell chairs of document plans (17-Mar-2011)

draft-ietf-tsvwg-natsupp-tsvwg
       (Replaced: draft-stewart-natsupp-tsvw)
       Dependency from BEHAVE WG.
       Adopted as a work item 21 Sept 2010 (Gorry).
           WG -00, 29/11/2010
            uploaded as: draft-ietf-natsupp-tsvwg
       New revision expected
       DUE: draft needs renamed to draft-ietf-tsvwg-natsupp-tsvwg

draft-ietf-tsvwg-source-quench
        (Replaced: draft-gont-tsvwg-source-quench-01.txt)
        IETF-79 suggested there was interest in this topic.
        Comments to list in 2010 from: Fred Baker, Antonio DeSimone,
           James Polk, Gorry Fairhurst, Andrew Yourtchenko, and others.
        WG agreed the draft should be a work item.
        Please comment on list.
       DUE: New revision expected
       DUE: Editors please tell chairs of document plans (17-Mar-2011)

-------------------------------------------------------------------

WG action required:

draft-polk-tsvwg-rsvp-app-id-vv-profiles
        -01 Presented in Beijing.
        -02 was submitted 14-Mar-2011
        WG needs to assess if the new draft should be a work item.
        Please comment on list.

-------------------------------------------------------------------

The following have received recent discussion at TSVWG meetings or on
the list. Inclusion in the list below does not indicate support for
these specific drafts and other contributions are also warmly welcomed.

draft-stewart-tsvwg-sctpecn-00
        Partially replaces (draft-stewart-tsvwg-sctp-nonce)
        IETF-78 suggested there was interest in this topic.
        Please comment to list.
        Revised draft to be uploaded with new name.
        WG needs to assess if the new draft should be a work item.

    draft-polk-tsvwg-intserv-multiple-tspec
        RSVP directorate to be consulted.
        WG interest in this topic recorded at IETF-78.
       Charter update would be needed to progress this work.
       5 Reviews needed to determine energy/technical direction.
       Version -05 (presented in Beijing)
       Version -06 was submitted 14-Mar-2011.
       WG needs to assess if the new draft should be a work item.

    draft-lefaucheur-tsvwg-rsvp-multiple-preemption
        RSVP directorate to be consulted.
           - Reviewers: Bruce Davie (awaiting other reviews)
        WG needs to assess if this topic should be a work item.

    draft-wing-tsvwg-happy-eyeballs-sctp
        Please comment to list.

    draft-tuexen-tsvwg-sctp-multipath
        Please comment to list.

    draft-nishida-tsvwg-sctp-failover
        Please comment to list.

     WGChair note: Above two drafts should be read together.

    draft-tuexen-tsvwg-sctp-sack-immediately
        Please comment to list.

    draft-lei-tsvwg-sctp-compr-requirements-profile
        Please comment to list.

    draft-wei-tsvwg-nested-header-compression
        Please comment to list.

-------------------------------------------------------------------

Related non-WG items:

draft-fairhurst-tsvwg-6man-udpzero
        Draft was adopted by 6man, please discuss on the 6man list.
        This will be LC'ed in TSVWG also.

draft-ietf-dccp-udpencap
        DCCP WG item linked to encaps (WGLC)

draft-narayanan-tsvwg-rsvp-resource-sharing
        Authors to take this draft to CCAMP WG.

draft-ietf-behave-sctpnat-03.txt
        BEHAVE WG item linked to SCTP encapsulation work.

------------------------------------------------------------------

Other news:

    RSVP Directorate (formed in May 2010)
      - Rules and guidelines to be formulated

    Charter to be updated to indicate procedure for adoption.

------------------------------------------------------------------